Bug 36400 - Proposal for wide screen usage
Summary: Proposal for wide screen usage
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: UI
  Show dependency treegraph
 
Reported: 2011-04-19 12:39 UTC by Bob Harvey
Modified: 2017-10-17 23:41 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bob Harvey 2011-04-19 12:39:03 UTC
The hardware people seem to have messed up screen sizes.  5 years ago my employer gave me a Dell with 1280 vertical pixels.  That became a Fujitsu siemens with 1024, and the next one had 900.  I'm typing this on a Dell with a 900x600 screen.  My most recent company laptop is 1600x960.

we've all gone wide screen but they created the sideways pixels by stealing them from the upwards ones.

All this leaves applications with their windows title, menu, toolbars, tabs, drawing bar & status line very short of vertical space.  And drawing resolution.

I'd like to see an option to move all the controls to the right or left of the writing/drawing area, to make better use of wide screens.  This has all been done before: think gimp, think photoshop tear-off tools.

Just imagine the product differentiation.  A long button bar, with fat named buttons down the left, scrolling up & down with the scrollwheel or with F keys.  Perhaps F15 & F16?  We could sell an Libreoffice keyboard!

PS: honourable mention to http://openoffice.org/bugzilla/show_bug.cgi?id=18829
Comment 1 Björn Michaelsen 2011-12-23 12:07:16 UTC Comment hidden (obsolete)
Comment 2 Bob Harvey 2011-12-27 12:45:14 UTC
No, I can't move the menus from the top to the side in 3.5

Changing back to 'new'
Comment 3 Bob Harvey 2012-04-06 14:50:20 UTC
Nor yet in 3.5.2.2
Comment 4 Bob Harvey 2012-04-07 13:40:59 UTC
Reverted version after telling off
Comment 5 Gerry 2014-01-17 18:39:59 UTC
Can this enhancement request be closed? This is what the new sidebar is doing. It makes use of the typical widescreen format of modern screens. 

It is not exactly what was requested (being able to move toolbars to the right/left edge), but I think this bug can be closed in the presence of the sidebar?!?
Comment 6 Bob Harvey 2014-01-26 20:39:49 UTC
I'm not sure I am the right person to answer.  Having made the suggestion, which I still believe in, I am unlikely to change my mind.

Surely it is up to the designers to evaluate requests like this and decide if they want to do it?  It would be closed as "this is a stupid idea", or "Yeah, let's do that".


As it happens, I don't think the sidebar is enough.  The styles dialogue, for example, has always docked to the side of a window, but that does not mean the menus are not taking up precious vertical space.
Comment 7 Bob Harvey 2014-02-04 17:06:21 UTC
Let me remind you of https://bugs.freedesktop.org/show_bug.cgi?id=33232
Comment 8 Adolfo Jayme 2015-05-13 02:16:37 UTC
While we (slowly) move towards this goal, we’ve changed Impress’ and Draw’s UI so that a few more vertical pixels are available. Check out a 5.0 daily build and let us know what you think.

I definitely want to see detachable tool panes, à la Photoshop! That is already requested in another report, IIRC, but still not available. That might be a cool project to work on GSoC, I believe.
Comment 9 Bob Harvey 2016-01-18 08:52:09 UTC
Yes, the layout of 5.0.4.2 is tidy, but the addition of a 'find bar' has consumed more vertical real estate.  It's a new feature that could have easily been a vertical feature like the navigator rather than a horizontal one.
Comment 10 Zenaan Harkness 2016-08-29 09:17:17 UTC
All tools, commands, functions and etc ("find" bar etc) ought be available in side bars, and customizable side bars ought be available.

Bob Harvey, I think this is a great idea - looks like the devs are slowly heading in this direction, which is a great thing.